import { j as a } from "../../../node_modules/react/jsx-runtime.mjs";
import { Component as u } from "react";
import { isMobile as h } from "../../../node_modules/react-device-detect/dist/lib.mjs";
import x from "../../../assets/iconfont/index.mjs";
import "./index.less.mjs";
class g extends u {
  constructor() {
    super(), this.transitionTime = 300, this.state = { notices: [] }, this.removeNotice = this.removeNotice.bind(this);
  }
  getNoticeKey() {
    const { notices: s } = this.state;
    return `notice-${(/* @__PURE__ */ new Date()).getTime()}-${s.length}`;
  }
  addNotice(s) {
    const { notices: r } = this.state;
    return s.key = this.getNoticeKey(), r[0] = s, this.setState({ notices: r }), (s == null ? void 0 : s.duration) > 0 && setTimeout(
      () => {
        this.removeNotice(s.key);
      },
      s == null ? void 0 : s.duration
    ), () => {
      this.removeNotice(s.key);
    };
  }
  removeNotice(s) {
    const { notices: r } = this.state;
    this.setState({
      notices: r.filter((l) => l.key === s ? (l.onClose && setTimeout(l.onClose, this.transitionTime), !1) : !0)
    });
  }
  /**
   *
   * @param notice
   * @returns PC端的Toast核心
   */
  pcToastBox(s) {
    let r, l, m, d;
    return s.type == "info" ? (r = s != null && s.icon ? s == null ? void 0 : s.icon : "tishi1", l = "#616161", m = "#d1d1d1", d = "#8a8886") : s.type == "success" ? (r = s != null && s.icon ? s == null ? void 0 : s.icon : "chenggong", l = "#0E700E", m = "#F1FAF1", d = "#9FD89F") : s.type == "warn" ? (r = s != null && s.icon ? s == null ? void 0 : s.icon : "jinggao", l = "#DA3B01", m = "#FDF6F3", d = "#F4BFAB") : (r = s != null && s.icon ? s == null ? void 0 : s.icon : "icon21", l = "#B10E1C", m = "#FDF3F4", d = "#EEACB2"), /* @__PURE__ */ a.jsxs("div", { className: "pcToastBox", style: { background: m, borderColor: d }, children: [
      /* @__PURE__ */ a.jsx("div", { className: "mark", children: /* @__PURE__ */ a.jsx(x, { color: l, size: 18, name: r }) }),
      /* @__PURE__ */ a.jsx("div", { className: "content", children: s == null ? void 0 : s.content })
    ] });
  }
  /**
   *
   * @param notice
   * @returns mobile端的Toast核心
   */
  mobileToastBox(s) {
    let r;
    return s.type == "info" ? r = s != null && s.icon ? s == null ? void 0 : s.icon : "xinxitishi" : s.type == "success" ? r = s != null && s.icon ? s == null ? void 0 : s.icon : "duigoux" : (s.type == "warn", r = s != null && s.icon ? s == null ? void 0 : s.icon : "cuowu"), /* @__PURE__ */ a.jsxs("div", { className: "mobileToastBox", children: [
      /* @__PURE__ */ a.jsx("div", { className: "mark", children: /* @__PURE__ */ a.jsx(x, { color: "#fff", size: 40, name: r }) }),
      /* @__PURE__ */ a.jsx("div", { className: "content", children: s == null ? void 0 : s.content })
    ] });
  }
  render() {
    const { notices: s } = this.state;
    return /* @__PURE__ */ a.jsx("div", { className: "bitzToastBlock", children: s.map((r) => /* @__PURE__ */ a.jsxs("div", { className: "toastBg", children: [
      !h && /* @__PURE__ */ a.jsxs(a.Fragment, { children: [
        " ",
        this.pcToastBox(r)
      ] }),
      h && /* @__PURE__ */ a.jsxs(a.Fragment, { children: [
        " ",
        this.mobileToastBox(r)
      ] })
    ] }, r.key)) });
  }
}
export {
  g as default
};
