import { j as s } from "../../../../node_modules/react/jsx-runtime.mjs";
import { create as W, useModal as q, antdModalV5 as z } from "@ebay/nice-modal-react";
import { Modal as F, Checkbox as G } from "antd";
import t from "./index.module.less.mjs";
import { useState as H, useContext as J, useCallback as I, useMemo as p } from "react";
import { TableContext as Q } from "../../Store/Provide.mjs";
import { genColumnKey as g, columnSort as U } from "../../utils/index.mjs";
import E from "../../../../node_modules/classnames/index.mjs";
import { DndContext as X, DragOverlay as Y, defaultDropAnimationSideEffects as Z } from "../../../../node_modules/@dnd-kit/core/dist/core.esm.mjs";
import { SortableContext as _, verticalListSortingStrategy as $, arrayMove as L } from "../../../../node_modules/@dnd-kit/sortable/dist/sortable.esm.mjs";
import P from "./DndItem.mjs";
import { restrictToVerticalAxis as ee, restrictToWindowEdges as se } from "../../../../node_modules/@dnd-kit/modifiers/dist/modifiers.esm.mjs";
import K from "../../../../node_modules/lodash-es/omit.mjs";
import le from "../../../../node_modules/@ant-design/icons/es/icons/RedoOutlined.mjs";
import oe from "../../../../node_modules/@ant-design/icons/es/icons/DragOutlined.mjs";
const te = {
  sideEffects: Z({
    styles: {
      active: {
        opacity: "0.5"
      }
    }
  })
}, ye = W(() => {
  var S;
  const A = q(), [x, j] = H(null), {
    columnsMap: r,
    setColumnsMap: b,
    sortKeyColumns: u,
    setSortKeyColumns: O,
    clearPersistenceStorage: v,
    ...o
  } = J(Q), T = I(() => {
    v == null || v(), b(o.defaultColumnKeyMap);
  }, []), h = p(() => {
    var l, a;
    const e = [];
    return (l = o == null ? void 0 : o.columns) != null && l.length && ((a = o == null ? void 0 : o.columns) == null || a.map(({ key: m, dataIndex: n, ...i }) => {
      const f = g(
        m || n,
        [m || n].filter(Boolean).join("-")
      ), d = r[f || "null"];
      return (d == null ? void 0 : d.show) !== !1 && e.push({
        key: f,
        ...K(i, ["className"]),
        selectable: !1,
        disabled: (d == null ? void 0 : d.disable) === !0
      }), d;
    })), e.sort(U(r));
  }, [r, o == null ? void 0 : o.columns]), y = I(
    (e) => u == null ? void 0 : u.findIndex((l) => l === e),
    [u]
  ), k = p(
    () => x ? y(x) : -1,
    [x, y]
  ), C = p(() => {
    const e = [], l = /* @__PURE__ */ new Map();
    return { list: ((m, n) => m.map(({ key: i, dataIndex: f, children: d, ...M }) => {
      var w;
      const N = g(
        i || f,
        [n == null ? void 0 : n.columnKey, M.index].filter(Boolean).join("-")
      ), c = r[N || "null"] || { show: !0 };
      (c == null ? void 0 : c.show) !== !1 && !d && e.push(N);
      const D = {
        key: N,
        ...K(M, ["className"]),
        selectable: !1,
        disabled: c.disable === !0,
        disableCheckbox: typeof c.disable == "boolean" ? c == null ? void 0 : c.disable : (w = c == null ? void 0 : c.disable) == null ? void 0 : w.checkbox,
        isLeaf: n ? !0 : void 0
      };
      return l.set(i, D), D;
    }))(o == null ? void 0 : o.columns), keys: e, map: l };
  }, [r, o == null ? void 0 : o.columns]), B = (e, l) => {
    const a = { ...r };
    ((n) => {
      const i = { ...a[n] };
      i.show = !e, a[n] = i;
    })(l.key), b({ ...a });
  }, R = (e, l) => {
    const a = { ...r }, m = L(u, e, l);
    m.forEach((n, i) => {
      a[n] = { ...a[n] || {}, order: i };
    }), b(a), O(m);
  }, V = p(() => {
    var e, l;
    return x ? ((l = (e = o == null ? void 0 : o.columns) == null ? void 0 : e.find((a) => a.key === x)) == null ? void 0 : l.title) ?? "" : "";
  }, [o == null ? void 0 : o.columns, x, r, u]);
  return /* @__PURE__ */ s.jsxs(F, { title: "自定义列", ...z(A), width: 600, footer: !1, children: [
    /* @__PURE__ */ s.jsx("div", { className: t.introduce, children: "选择要在表中显示的可用列。拖动选定的列以对其重新排序。" }),
    /* @__PURE__ */ s.jsxs("div", { className: t.contaiern, children: [
      /* @__PURE__ */ s.jsxs("div", { className: t.block, children: [
        /* @__PURE__ */ s.jsxs("div", { className: t.header, children: [
          /* @__PURE__ */ s.jsx("div", { className: t.title, children: "可用列" }),
          /* @__PURE__ */ s.jsx("div", {})
        ] }),
        /* @__PURE__ */ s.jsx("div", { className: t.body, children: /* @__PURE__ */ s.jsx("ul", { className: t.content, children: (S = C.list) == null ? void 0 : S.map((e) => {
          const l = C.keys.includes(e.key);
          return /* @__PURE__ */ s.jsxs(
            "li",
            {
              className: E(t.item, {
                [t.checked]: !l
              }),
              onClick: () => !e.disabled && B(l, e),
              children: [
                /* @__PURE__ */ s.jsx(G, { checked: l, disabled: e.disabled }),
                /* @__PURE__ */ s.jsx("span", { className: t["content-item-text"], children: e.title })
              ]
            },
            e.key
          );
        }) }) })
      ] }),
      /* @__PURE__ */ s.jsxs("div", { className: t.block, children: [
        /* @__PURE__ */ s.jsxs("div", { className: t.header, children: [
          /* @__PURE__ */ s.jsx("div", { className: t.title, children: "选定的列" }),
          /* @__PURE__ */ s.jsxs("div", { className: t.reset, onClick: T, children: [
            /* @__PURE__ */ s.jsx("div", { children: "重置  " }),
            /* @__PURE__ */ s.jsx(le, {})
          ] })
        ] }),
        /* @__PURE__ */ s.jsx("div", { className: t.body, children: /* @__PURE__ */ s.jsxs(
          X,
          {
            modifiers: [ee, se],
            onDragStart: (e) => {
              const { active: l } = e;
              l && j(l == null ? void 0 : l.id);
            },
            onDragCancel: () => j(null),
            onDragEnd: (e) => {
              j(null);
              const { over: l } = e;
              if (l) {
                const a = y(l.id);
                k !== a && R(k, a);
              }
            },
            children: [
              /* @__PURE__ */ s.jsx(
                _,
                {
                  items: h == null ? void 0 : h.map((e) => e.key),
                  strategy: $,
                  children: /* @__PURE__ */ s.jsx("ul", { className: t.content, style: { background: "#fff" }, children: h == null ? void 0 : h.map((e) => /* @__PURE__ */ s.jsx(P, { item: e }, e.key)) })
                }
              ),
              /* @__PURE__ */ s.jsx(Y, { adjustScale: !1, dropAnimation: te, children: x ? /* @__PURE__ */ s.jsxs("li", { className: E(t.moveItem), children: [
                /* @__PURE__ */ s.jsx(oe, { className: t.dragIcon }),
                /* @__PURE__ */ s.jsx("span", { className: t["moveItem-text"], children: V })
              ] }) : null })
            ]
          }
        ) })
      ] })
    ] })
  ] });
});
export {
  ye as default
};
