import React from 'react';
import type RcTree from 'rc-tree';
import { type TreeProps } from 'antd';
import { BasicDataNode, DataNode } from 'antd/es/tree';
export type { DataNode, BasicDataNode };
declare const DirectoryTree: (<T extends BasicDataNode | DataNode = DataNode>(props: import("antd/es/tree").DirectoryTreeProps<T> & {
    children?: React.ReactNode;
} & React.RefAttributes<RcTree<DataNode>>) => React.ReactElement<any, string | React.JSXElementConstructor<any>>) & {
    displayName?: string | undefined;
}, TreeNode: React.FC<import("rc-tree").TreeNodeProps<DataNode>>;
export interface BitzTreeProps<T extends BasicDataNode> extends TreeProps<T> {
}
type CompoundedComponent = (<T extends BasicDataNode | DataNode = DataNode>(props: React.PropsWithChildren<BitzTreeProps<T>> & {
    ref?: React.Ref<RcTree>;
}) => React.ReactElement) & {
    TreeNode: typeof TreeNode;
    DirectoryTree: typeof DirectoryTree;
};
declare const BitzTree: CompoundedComponent;
export default BitzTree;
