import { FC } from 'react';
import { DrawerProps } from 'antd';
interface BitzWebAppDrawerProps extends DrawerProps {
    /**
     * 标题
     */
    title?: string;
    /**
     * 弹窗开关
     */
    open?: boolean;
    /**
     * 关闭取消事件
     */
    onClose?: () => void;
    /**
     * 保存提交事件
     */
    onSubmit?: () => void;
    /**
     * 嵌套内容
     */
    children?: any;
    /**
     * pc的宽度
     */
    pcWidth?: number;
    /**
     * 移动端的高度
     */
    mobileHeight?: number;
    /**
     * 是否显示footer
     */
    showFooter?: boolean;
    /**
     * 是否显示确认按钮
     */
    showSubmitBtn?: boolean;
    /**
     * 是否显示取消按钮
     */
    showCancelBtn?: boolean;
    /**
     * 确认按钮文字
     */
    submitBtnText?: string;
    /**
     * 取消按钮文字
     */
    cancelBtnText?: string;
}
declare const BitzWebAppDrawer: FC<BitzWebAppDrawerProps>;
export default BitzWebAppDrawer;
